Package ru.bitel.bgbilling.kernel.event.events

# Class ServiceUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ServiceUpdateEvent

All Implemented Interfaces:
  `Serializable`

public class ServiceUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - Изменение/добавления услуги договора.
Вызывается после изменения/добавления разращенной услуги договора.
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ServiceUpdateEvent()`
  ``
  `ServiceUpdateEvent(int userId, ContractService contractService)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractService`
  `getContractService()`
  Возвращает добавленную/измененную разрешенную услуги.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceUpdateEvent

    protected ServiceUpdateEvent()

  - ### ServiceUpdateEvent

    public ServiceUpdateEvent(int userId, ContractService contractService)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `contractService` - - разрешенная услуга договора

- ## Method Details

  - ### getContractService

    public ContractService getContractService()
    Возвращает добавленную/измененную разрешенную услуги.
    Returns:
      contractService - разрешенная услуга